System Management/Security Settings Interfaces/Create AccessKey (CreateAccessKey)
DELETECreate AccessKey (CreateAccessKey)Since 4.0.0SynchronousAuth Required
Delete AccessKey
Delete AccessKey
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredAccessKey UUID. Uniquely identifies the resource.
deleteModeString删除模式。
Body Fields
systemTagsList系统标签。
userTagsList用户标签。
Responses
DELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}Endpoint
DELETE/zstack/v1/accesskeys/{uuid}
/zstack/v1/accesskeys/{uuid}
Request Example
curl -X DELETE 'http://{host}/zstack/v1/accesskeys/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
